Page MenuHomePhabricator

sidedata: add a way of replacing an existing sidedata computer
ClosedPublic

Authored by Alphare on Apr 10 2021, 3:14 PM.

Details

Summary

This will be useful in a future patch to replace a sequential computer with
a parallel computer. We only allow for explicit replacement, to force the users
to think about overriding computers.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Alphare created this revision.Apr 10 2021, 3:14 PM
Alphare updated this revision to Diff 27035.Apr 19 2021, 6:10 AM
Alphare updated this revision to Diff 27101.Apr 20 2021, 9:39 AM
marmoute accepted this revision.Apr 22 2021, 1:49 PM
baymax updated this revision to Diff 27303.May 3 2021, 6:06 AM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

baymax updated this revision to Diff 27453.May 3 2021, 9:01 PM

✅ refresh by Heptapod after a successful CI run (🐙 💚)

This revision was not accepted when it landed; it landed in state Needs Review.
This revision was automatically updated to reflect the committed changes.